Heartbleed Bug

A major security bug, named the ‘Heartbleed Bug’ has been discovered and could impact around 2/3rds

We want to reassure our customers that this bug is not impacting our sites. We take security very seriously. The versions of OpenSSL used on our sites does not include any of the versions impacted by this vulnerability.

Just because we like to be extra safe, we tested all our sites too and can confirm that sites are not vulnerable at the date of this post.

If you have your own website, or carry out any secure transactions on the web, you can run a simple test to see if your site is vulnerable.

We will continue to monitor developments with our independent security partners and update if appropriate.

For those that want more information about the bug and its potential impact you can read more at heartbleed.com